Package org.eclipse.birt.core.i18n

# Class CoreMessages

java.lang.Object
org.eclipse.birt.core.i18n.CoreMessages

public class CoreMessages extends Object
This class deals with the translation with the given key.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getFormattedString(String key, Object... arguments)`
Returns formatted translation for current local.
`static String`
`getFormattedString(String key, Object[] arguments, Locale locale)`
Returns formatted translation for current local.
`static ResourceBundle`
`getReportResourceBundle()`
Returns the resource bundle.
`static ResourceBundle`
`getReportResourceBundle(Locale locale)`
Returns the resource bundle.
`static String`
`getString(String key)`
Returns common translation for current local.
`static String`
`getString(String key, Locale locale)`
Returns common translation for current local.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getReportResourceBundle

public static ResourceBundle getReportResourceBundle()
Returns the resource bundle.

Returns:
  the resource bundle.

### getReportResourceBundle

public static ResourceBundle getReportResourceBundle(Locale locale)
Returns the resource bundle.

Returns:
  the resource bundle.

### getString

public static String getString(String key)
Returns common translation for current local.

Parameters:
  `key` - the key to translate.
Returns:
  translated value string.

### getString

public static String getString(String key, Locale locale)
Returns common translation for current local.

Parameters:
  `key` - the key to translate.
Returns:
  translated value string.

### getFormattedString

public static String getFormattedString(String key, Object... arguments)
Returns formatted translation for current local.

Parameters:
  `key` - the key to translate.
Returns:
  translated value string.

### getFormattedString

public static String getFormattedString(String key, Object[] arguments, Locale locale)
Returns formatted translation for current local.

Parameters:
  `key` - the key to translate.
Returns:
  translated value string.